const Koa    = require('koa')
const logger = require('koa-logger')
const Router = require('@koa/router')
const serve  = require('koa-static')
const router = new Router()

router.get("/tasks", async (context) => {
  context.response.body = [
    {id: 1, done: true,  description: "Do Laundry" },
    {id: 2, done: false, description: "Do Homework"},
    {id: 3, done: false, description: "Do Chores"  },
  ]
})

router.put("/tasks/:id", async (context) => {
  let task_id           = context.request.params["id"]
  let updated_task_data = context.request.body

  let task = tasks.find((task) => task.id === task_id )

  task.done = updated_task_data.done
  task.description = updated_task_data.description

  context.response.status = 204

})

const app = new Koa()
app.use(serve(`${__dirname}/../web`))
app.use(logger())
app.use(router.routes()).use(router.allowedMethods())

app.listen(3000)